
rbd - Backport #54484

pacific: rbd snapshot schedule status output is missing schedule

03/07/2022 11:20 AM - Backport Bot

Status: Resolved Spent time: 0.00 hour

Priority: Normal   

Assignee: Ilya Dryomov   

Target version: v16.2.8   

Release: pacific Crash signature (v2):  

Crash signature (v1):    

Description

https://github.com/ceph/ceph/pull/45532

Related issues:

Copied from rbd - Bug #53915: rbd snapshot schedule status output is missing ... Resolved

History

#1 - 03/07/2022 11:20 AM - Backport Bot

- Copied from Bug #53915: rbd snapshot schedule status output is missing schedule added

#2 - 03/21/2022 12:05 PM - Ilya Dryomov

- Description updated

- Status changed from New to In Progress

- Assignee set to Ilya Dryomov

#3 - 03/21/2022 12:06 PM - Ilya Dryomov

The actual fix -- commit 05f2cfd9b5fd ("mgr/rbd_support: cast pool_id from int to str when collecting LevelSpec") -- isn't needed in pacific. This

backport just expands test coverage, given how long it took to track this regression down in quincy and master.

#4 - 03/23/2022 08:29 PM - Yuri Weinstein

Backport Bot wrote:

https://github.com/ceph/ceph/pull/45532

 

merged

#5 - 07/04/2022 05:22 PM - Ilya Dryomov

- Status changed from In Progress to Resolved

- Target version set to v16.2.8
